source vhdl/sim/8b10b_helper.tcl

proc send_8b10b_idle { disp stream count } {
    for { set i 0 } {$i < $count } {incr i} {
	set disp [gen_8b10b_control_code BC $disp $stream]
    }
    return $disp
}

proc send_TDC_spill {disp stream event_number hit_count} {

    set disp [gen_8b10b_control_code 3C $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    
    #g
    set disp [gen_8b10b_data_code 67  $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    #-
    set disp [gen_8b10b_data_code 2D  $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    #2
    set disp [gen_8b10b_data_code 32  $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    #T
    set disp [gen_8b10b_data_code 54  $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    #D
    set disp [gen_8b10b_data_code 44  $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    #C
    set disp [gen_8b10b_data_code 43  $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]

    #firmware date
    set disp [gen_8b10b_data_code 01  $disp $stream]
    set disp [gen_8b10b_data_code 04 $disp $stream]
    set disp [gen_8b10b_data_code 13 $disp $stream]
    set disp [gen_8b10b_data_code 20 $disp $stream]
    
    #size and channel mask
    set size [expr {32 + $hit_count} ]
    set hexsize [format "%02X" $size]
    set disp [gen_8b10b_data_code FF $disp $stream]
    set disp [gen_8b10b_data_code FF  $disp $stream]
    set disp [gen_8b10b_data_code $hexsize $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    
    #spill number
    set disp [gen_8b10b_data_code $event_number $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    
    #time
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00  $disp $stream]
    
    #time2
    set disp [gen_8b10b_data_code 05  $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    
    #star/end TDC time
    set disp [gen_8b10b_data_code FD $disp $stream]
    set disp [gen_8b10b_data_code FF  $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    
    
    #selb/readout
    set disp [gen_8b10b_data_code FF $disp $stream]
    set disp [gen_8b10b_data_code FF $disp $stream]
    set disp [gen_8b10b_data_code FF $disp $stream]
    set disp [gen_8b10b_data_code FE  $disp $stream]
    
    #TDC addr
    set disp [gen_8b10b_data_code 05 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00  $disp $stream]
    
    #12-scalars, 8-both-edges
    set disp [gen_8b10b_data_code 03 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00  $disp $stream]

    #scalar 1
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
        #scalar 2
    set disp [gen_8b10b_data_code 11 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
        #scalar 3
    set disp [gen_8b10b_data_code 22 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00  $disp $stream]
        #scalar 4
    set disp [gen_8b10b_data_code 33 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00  $disp $stream]
        #scalar 5
    set disp [gen_8b10b_data_code 44 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00  $disp $stream]
    #scalar 6
    set disp [gen_8b10b_data_code 55 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00  $disp $stream]
    #scalar 7
    set disp [gen_8b10b_data_code 66 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00  $disp $stream]
    #scalar 8
    set disp [gen_8b10b_data_code 77 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00  $disp $stream]
    #scalar 9
    set disp [gen_8b10b_data_code 88 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    #scalar 10
    set disp [gen_8b10b_data_code 99 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    #scalar 11
    set disp [gen_8b10b_data_code AA $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    #scalar 12
    set disp [gen_8b10b_data_code BB $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    #scalar 13
    set disp [gen_8b10b_data_code CC $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    #scalar 14
    set disp [gen_8b10b_data_code DD $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    #scalar 15
    set disp [gen_8b10b_data_code EE $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    #scalar 16
    set disp [gen_8b10b_data_code FF $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00  $disp $stream]


    for { set hit 0} { $hit < $hit_count } { incr hit } {
	set hit_number  [format "%02X" $hit]
	set disp [gen_8b10b_data_code $hit_number $disp $stream]
	set disp [gen_8b10b_data_code 00 $disp $stream]
	set disp [gen_8b10b_data_code 00 $disp $stream]
	set disp [gen_8b10b_data_code 31 $disp $stream]
    }

    set disp [send_8b10b_idle $disp $stream 40]
    
    return $disp
}

proc send_real_TDC_spill { disp stream } {
    set disp [gen_8b10b_control_code 3C $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]
    set disp [gen_8b10b_data_code 00 $disp $stream]

   
    set data [list 67 00 00 00 2D 00 00 00 32 00 00 00 54 00 00 00 44 00 00 00 43 00 00 00 12 05 15 20 FF FF 00 08 01 00 00 00 7C 63 03 00 5C 07 00 00 FE FF 0A 00 FF FF FD FF 00 00 00 00 72 17 00 00 C5 05 00 00 35 03 00 00 3E 05 00 00 A7 04 00 00 BC 01 00 00 F7 01 00 00 7A 00 00 00 16 02 00 00 C1 01 00 00 34 01 00 00 C6 01 00 00 7D 01 00 00 3E 01 00 00 53 01 00 00 1C 07 00 00 B8 2F 00 3F 28 4E 00 3C 29 4E 00 3D 2B 4E 00 3E 26 4E 00 3F B2 4E 00 3F 9E 51 00 30 B8 51 00 3F 92 52 00 30 70 52 00 3C 76 52 00 3D 71 52 00 3E 70 52 00 3F B0 52 00 3F 34 5E 00 3F B4 5E 00 30 9A 5E 00 3C 94 5E 00 3D 9A 5E 00 3E 64 5E 00 3F 96 5E 00 3F E4 D6 00 3C E9 D6 00 3D E6 D6 00 3E E2 D6 00 3F 65 DA 00 3F C8 DA 00 3F 7E DB 00 3F 30 E7 00 30 40 E7 00 3C 42 E7 00 3E E1 E6 00 3F 5C E7 00 30 40 E7 00 3F F4 48 01 3F 3D 60 01 3C 40 60 01 3E 3C 60 01 3F A6 60 01 3F 23 64 01 3F 51 64 01 3F D0 64 01 3F A0 6F 01 3F 18 70 01 30 05 70 01 3B 00 70 01 3C 04 70 01 3D 00 70 01 3E D4 6F 01 3F 00 70 01 3F 64 70 01 3F D0 90 01 3F A6 00 02 30 91 00 02 3C 92 00 02 3E 90 00 02 3F 92 04 02 3C 62 04 02 3F 4D 05 02 3E 8C 04 02 3F 6C 05 02 30 4B 05 02 3F CE 0F 02 3C CC 0F 02 3D CC 0F 02 3E 6A 0F 02 3F E4 0F 02 30 9E 0F 02 3F C8 0F 02 3F 5F 28 02 3F 94 28 02 3F C4 28 02 3F 54 29 02 3F 90 8E 02 30 7C 8E 02 3B 7C 8E 02 3C 7C 8E 02 3E 79 8E 02 3F 78 92 02 3F 36 93 02 3E 34 93 02 3F 5C A5 02 3F C1 A5 02 3F 49 20 03 3B 48 20 03 3C 46 20 03 3D 48 20 03 3E 45 20 03 3F 24 24 03 3F D0 24 03 3F C6 30 03 30 D1 30 03 3B A5 30 03 3C D3 30 03 3D D4 30 03 3E 74 30 03 3F D4 30 03 3C A2 30 03 3F D0 30 03 3F 84 AA 03 30 6C AA 03 3B 6D AA 03 3C 6C AA 03 3E 69 AA 03 3F D4 AA 03 3F 5C AE 03 3C 5C AE 03 3E 28 AE 03 3F 59 AE 03 3F 12 AF 03 3F 52 BA 03 3F CD BA 03 30 B8 BA 03 3C B6 BA 03 3D B5 BA 03 3E 84 BA 03 3F B4 BA 03 3F C8 07 04 30 AC 07 04 3F FB 29 04 3F 49 74 04 3B 4A 74 04 3C 4A 74 04 3D 4B 74 04 3E 48 74 04 3F 17 78 04 3F 44 78 04 3F 29 79 04 30 05 79 04 3B 04 79 04 3D 04 79 04 3E 00 79 04 3F 4C 80 04 30 31 80 04 3F 7D 80 04 30 64 80 04 3C 8A 80 04 3E 65 80 04 3F 88 80 04 3F 3D 8B 04 3F 6E 8B 04 3F AC 8B 04 3F A5 E0 04 3C A6 E0 04 3D A4 E0 04 3E A4 E0 04 3F 7C E4 04 3F A8 E4 04 3F 90 E5 04 30 72 E5 04 3C 70 E5 04 3E E0 E4 04 3F 6D E5 04 3F BA EC 04 30 98 EC 04 3F EF EC 04 3C CD EC 04 3F F1 EC 04 3F 58 ED 04 3F 69 F7 04 30 B0 F7 04 3F EF F7 04 3C EC F7 04 3F B6 25 05 3F 41 4D 05 30 2D 4D 05 3C 2C 4D 05 3E 28 4D 05 3F 69 50 05 3F 28 51 05 3F E6 51 05 3E E5 51 05 3F 4C 59 05 30 30 59 05 3F AA 59 05 30 89 59 05 3C 8A 59 05 3D 8A 59 05 3E 64 59 05 3F 8A 59 05 3F EE 59 05 3F 5E 64 05 3F 91 64 05 3F D0 64 05 3F 9D B9 05 30 8A B9 05 3B 88 B9 05 3C 8C B9 05 3D 8A B9 05 3E 86 B9 05 3F F0 B9 05 3F 55 BD 05 3F 88 BD 05 3F 3D BE 05 3F 90 C5 05 3F E8 C5 05 3C EA C5 05 3E C3 C5 05 3F E8 C5 05 3F 95 D0 05 3F FC D0 05 3F 54 D5 05 3F 7F F1 05 3F 34 F7 05 3F 19 26 06 30 04 26 06 3C 02 26 06 3D 00 26 06 3F 0A 2A 06 3F CD 2A 06 3C CD 2A 06 3D CE 2A 06 3E C8 2A 06 3F 42 32 06 30 2A 32 06 3C 52 32 06 3D F8 31 06 3F 4E 32 06 3F B4 32 06 3F B2 3C 06 3F E4 3C 06 3F 14 3D 06 3F AA 92 06 30 95 92 06 3C 98 92 06 3D 94 92 06 3E 91 92 06 3F 24 93 06 3F 64 96 06 3F 98 96 06 3F 61 97 06 3B 60 97 06 3C 64 97 06 3E D2 96 06 3F 5C 97 06 3F AC 9E 06 30 91 9E 06 3F E7 9E 06 3C EC 9E 06 3E C6 9E 06 3F E9 9E 06 3F 4C 9F 06 3F 5C A9 06 3F 94 A9 06 3F C6 A9 06 3F 04 AA 06 3F 09 FF 06 30 F1 FE 06 3C F4 FE 06 3D F2 FE 06 3E F0 FE 06 3F 5A FF 06 3F EC 02 07 3F B4 03 07 3C B6 03 07 3E 28 03 07 3F AE 03 07 3F 5C 0B 07 3E 05 0B 07 3F 60 0B 07 3C 38 0B 07 3F C4 0B 07 3C 5C 0B 07 3F C1 0B 07 3F 39 16 07 3F 74 16 07 3F 58 6B 07 30 44 6B 07 3B 44 6B 07 3C 41 6B 07 3D 42 6B 07 3E 3E 6B 07 3F A4 6B 07 3F 0F 6F 07 3F 20 70 07 30 05 70 07 3C 00 70 07 3F 45 77 07 3F 68 77 07 30 7E 77 07 3C 9E 77 07 3E 78 77 07 3F A0 77 07 3F 02 78 07 3F 03 82 07 3F 34 82 07 3F 66 82 07 3F 96 82 07 3F D2 82 07 3F 9B 9F 07 3F D0 D7 07 30 B8 D7 07 3B B4 D7 07 3C B4 D7 07 3E B2 D7 07 3F B6 DB 07 3F 95 DC 07 30 7C DC 07 3C 78 DC 07 3E 75 DC 07 3F B6 E3 07 3F 00 E4 07 30 10 E4 07 3C EA E3 07 3F 0E E4 07 3F 76 E4 07 3F E0 E4 07 3F 3E E5 07 3F CE EE 07 3F FB EE 07 3F 3C EF 07 3F 19 44 08 3B 16 44 08 3C 18 44 08 3D 18 44 08 3E 14 44 08 3F 10 48 08 3F D2 48 08 3C D6 48 08 3E D2 48 08 3F 60 49 08 3F 2A 50 08 3F 71 50 08 30 80 50 08 3C 7E 50 08 3D 5A 50 08 3F 80 50 08 3F 30 5B 08 3F 64 5B 08 3F 94 5B 08 3F D4 5B 08 3F 54 B0 08 30 42 B0 08 3B 41 B0 08 3C 40 B0 08 3D 3F B0 08 3E 3C B0 08 3F A4 B0 08 3F D8 B3 08 3F 1E B4 08 30 38 B4 08 3F F8 B4 08 3C F8 B4 08 3E F5 B4 08 3F AC BC 08 30 B9 BC 08 3C B8 BC 08 3D 98 BC 08 3E 60 BC 08 3F BA BC 08 3E 94 BC 08 3F B8 BC 08 3F 98 C7 08 3F CC C7 08 3F 00 C8 08 3F 30 1C 09 30 18 1C 09 3B 18 1C 09 3C 1C 1C 09 3D 1A 1C 09 3E 17 1C 09 3F DA 1F 09 3F 11 20 09 3C 0A 20 09 3F C9 20 09 3F 4E 28 09 3F 98 28 09 30 A4 28 09 3D A4 28 09 3E 7E 28 09 3F A5 28 09 3F 0C 29 09 3F C8 33 09 3F 2C 34 09 3F 49 90 09 30 36 90 09 3B 32 90 09 3C 32 90 09 3D 31 90 09 3E 30 90 09 3F 98 90 09 3F 10 94 09 30 2C 94 09 3F ED 94 09 3C EA 94 09 3E E8 94 09 3F 26 9C 09 3F 6D 9C 09 30 7C 9C 09 3C 81 9C 09 3E 5C 9C 09 3F 7E 9C 09 3F 30 A7 09 30 14 A7 09 3F 49 A7 09 3F 76 A7 09 3F 38 AF 09 3F 21 D4 09 3F 86 D4 09 3F 32 FC 09 30 1E FC 09 3B 1E FC 09 3C 20 FC 09 3D 1C FC 09 3E 1A FC 09 3F 12 00 0A 3F D4 00 0A 3E CE 00 0A 3F 4A 08 0A 3F 94 08 0A 30 A1 08 0A 3B 7A 08 0A 3F A2 08 0A 3F 06 09 0A 3F C8 13 0A 30 0E 14 0A 3F 36 6B 0A 3C 39 6B 0A 3E 34 6B 0A 3F CC 6E 0A 3F FC 6E 0A 3F 2E 6F 0A 3F 0C 70 0A 30 EE 6F 0A 3C EC 6F 0A 3F 59 77 0A 30 88 77 0A 30 96 77 0A 3C 95 77 0A 3E 72 77 0A 3F 98 77 0A 3F F7 77 0A 3F 4C 82 0A 3F B2 82 0A 3F E2 83 0A 3F DA D6 0A 3B D8 D6 0A 3C D6 D6 0A 3E D5 D6 0A 3F 9B DA 0A 3F C8 DA 0A 3F 80 DB 0A 3E 7C DB 0A 3F 26 E3 0A 3F 71 E3 0A 30 7C E3 0A 3C 7E E3 0A 3E 58 E3 0A 3F 98 E3 0A 30 7C E3 0A 3F ED EE 0A 3F 4C EF 0A 3F 78 3A 0B 3F 2D 5D 0B 30 1B 5D 0B 3C 1C 5D 0B 3D 18 5D 0B 3E 18 5D 0B 3F DE 60 0B 3F 10 61 0B 3F D0 61 0B 3D D2 61 0B 3E 4D 61 0B 3F F0 61 0B 30 CC 61 0B 3F 20 69 0B 30 5C 69 0B 3C 05 69 0B 3F 60 69 0B 3E 3E 69 0B 3F 5C 69 0B 3F E8 73 0B 3F 48 74 0B 3F 78 83 0B 3F D3 C8 0B 3C D2 C8 0B 3D D2 C8 0B 3E D1 C8 0B 3F 39 C9 0B 3F AC CC 0B 30 92 CC 0B 3F C2 CC 0B 3F 7A CD 0B 3F 19 D5 0B 3C 17 D5 0B 3F 60 D5 0B 30 6C D5 0B 3E 48 D5 0B 3F 6E D5 0B 3F D4 D5 0B 3F C2 E0 0B 3F 22 E1 0B 3F 5A 4D 0C 3C 5C 4D 0C 3D 5C 4D 0C 3E 58 4D 0C 3F 70 4D 0C 30 1C 51 0C 3F 50 51 0C 3F 0E 52 0C 3F 4E 59 0C 3F 98 59 0C 30 A2 59 0C 3B A4 59 0C 3C A4 59 0C 3E 81 59 0C 3F A5 59 0C 3F 06 5A 0C 3F 7C 64 0C 3F B0 64 0C 3F 02 B9 0C 3C 00 B9 0C 3E FF B8 0C 3F C6 BC 0C 3F F4 BC 0C 3F AC BD 0C 3F 44 C5 0C 3F C0 C5 0C 30 A0 C5 0C 3C 9D C5 0C 3E 7C C5 0C 3F 9E C5 0C 3F 28 D1 0C 3F 5F D1 0C 3F E8 05 0D 3F DC 3D 0D 3B D8 3D 0D 3C D8 3D 0D 3E D6 3D 0D 3F B9 41 0D 30 96 41 0D 3F CC 41 0D 3F A6 42 0D 30 89 42 0D 3F D8 49 0D 3C D4 49 0D 3F 20 4A 0D 30 30 4A 0D 3B 2D 4A 0D 3C 31 4A 0D 3D 06 4A 0D 3F 7D 4A 0D 30 91 4A 0D 3C 91 4A 0D 3E 2D 4A 0D 3F 90 4A 0D 3F 06 55 0D 30 EC 54 0D 3C EE 54 0D 3F 21 55 0D 3F 54 55 0D 3F 96 A9 0D 30 82 A9 0D 3B 82 A9 0D 3C 84 A9 0D 3D 84 A9 0D 3E 80 A9 0D 3F 40 AD 0D 3F 74 AD 0D 3F 4E AE 0D 30 34 AE 0D 3C 2E AE 0D 3F BC B5 0D 3F 31 B6 0D 30 14 B6 0D 3C 14 B6 0D 3E F0 B5 0D 3F 14 B6 0D 3F 78 B6 0D 3F 42 C1 0D 3F A3 C1 0D 3F EE C1 0D 3F EE D8 0D 3F 24 D9 0D 3F 9D 22 0E 30 8C 22 0E 3B 88 22 0E 3C 87 22 0E 3E 86 22 0E 3F 18 26 0E 3F 78 26 0E 3F 38 27 0E 3C 3C 27 0E 3E 35 27 0E 3F 9C 2E 0E 30 DC 2E 0E 3B D8 2E 0E 3C 7C 2E 0E 3F B4 2E 0E 3F D8 2E 0E 3F 41 2F 0E 3F AD 39 0E 30 96 39 0E 3F C4 39 0E 3F F5 39 0E 3F 1E 8E 0E 3B 1E 8E 0E 3C 20 8E 0E 3D 1C 8E 0E 3E 1C 8E 0E 3F D7 91 0E 3F FC 91 0E 30 10 92 0E 3F C5 92 0E 3F B0 9A 0E 30 C0 9A 0E 3C C0 9A 0E 3E 98 9A 0E 3F BE 9A 0E 3F 30 A6 0E 30 1A A6 0E 3F 4C A6 0E 3F 7C A6 0E 3F 49 13 0F 30 30 13 0F 3C 32 13 0F 3D 30 13 0F 3E 2C 13 0F 3F EB 16 0F 3F DC 17 0F 3C DC 17 0F 3E DA 17 0F 3F 32 1F 0F 3F 80 1F 0F 30 90 1F 0F 3C 8E 1F 0F 3E 64 1F 0F 3F DC 1F 0F 30 8C 1F 0F 3F F2 1F 0F 3F A5 2A 0F 3F D6 2A 0F 3F 1A 7F 0F 3C 1C 7F 0F 3D 1D 7F 0F 3E 19 7F 0F 3F DC 82 0F 3F 0C 83 0F 3F C2 83 0F 3F BA 8B 0F 3C BC 8B 0F 3D BC 8B 0F 3E 62 8B 0F 3F 20 8C 0F 3C 9C 8B 0F 3F BC 8B 0F 3F 20 8C 0F 3F 1C 97 0F 3F 7C 97 0F 3F E8 A7 0F 3F 1C A8 0F 3F C8 C9 0F 3F 9C 04 10 3C 9E 04 10 3D 9C 04 10 3E 9A 04 10 3F 60 08 10 3F 4F 09 10 3C 94 08 10 3F 4A 09 10 3F 24 10 10 3F BC 10 10 30 CD 10 10 3F E8 10 10 30 F7 10 10 3C F5 10 10 3E F5 10 10 3F 55 11 10 3F C6 1B 10 3F FD 1B 10 3F 2E 1C 10 3F 68 1C 10 3F F1 32 10 3F 4D 70 10 30 38 70 10 3C 36 70 10 3D 36 70 10 3E 34 70 10 3F 25 74 10 3E F2 73 10 3F 28 74 10 3F E1 74 10 3C E0 74 10 3F CA 7C 10 30 DC 7C 10 3C D8 7C 10 3D D8 7C 10 3E 7D 7C 10 3F B4 7C 10 3F D8 7C 10 3F 3A 7D 10 3F 64 88 10 3F 96 88 10 3F 44 F5 10 30 25 F5 10 3C 26 F5 10 3E 26 F5 10 3F E8 F8 10 3F D0 F9 10 3D 18 F9 10 3F D0 F9 10 3F 4E 01 11 3F 96 01 11 30 A6 01 11 3C A7 01 11 3E 84 01 11 3F A6 01 11 3F 09 02 11 3F 48 0D 11 30 F6 0C 11 3F 57 0D 11 3F 28 79 11 3C 28 79 11 3D 24 79 11 3E 20 79 11 3F 05 7D 11 30 E4 7C 11 3F D5 7D 11 3C D4 7D 11 3D DB 7D 11 3E 15 7D 11 3F D2 7D 11 3F B2 86 11 30 C4 86 11 3A C3 86 11 3C C4 86 11 3E 68 86 11 3F 97 86 11 3F C1 86 11 3F 25 87 11 3F 58 96 11 3F 2A D3 11 3F D9 06 12 3C DA 06 12 3D DC 06 12 3E D8 06 12 3F 40 07 12 3F 74 0A 12 3F D5 0A 12 3F 85 0B 12 30 98 0B 12 3E 94 0B 12 3F 16 19 12 3F 7D 19 12 3B 7C 19 12 3E 4C 19 12 3F 7C 19 12 3F BC 8A 12 3F BD 95 12 30 AA 95 12 3C AC 95 12 3D AA 95 12 3E A6 95 12 3F 2A 99 12 30 74 99 12 3F 01 9A 12 3C 00 9A 12 3F B8 A5 12 3F 32 A6 12 30 1C A6 12 3C 19 A6 12 3E EA A5 12 3F 18 A6 12 3F 94 D2 12 3F 5E 1E 13 3B 5F 1E 13 3E 5D 1E 13 3F 65 1E 13 3C 60 1E 13 3D 37 22 13 3F 20 2E 13 3F 94 2E 13 30 81 2E 13 3B 80 2E 13 3D 7D 2E 13 3E 4F 2E 13 3F 78 2E 13 3F 6E 81 13 3F 9C A4 13 3B 98 A4 13 3C 98 A4 13 3D 96 A4 13 3E 95 A4 13 3F FD A4 13 3F 49 A8 13 3F 78 A8 13 3F 31 A9 13 3F 49 B3 13 3F 9C B3 13 30 AA B3 13 3B A8 B3 13 3C A9 B3 13 3D A8 B3 13 3E 7C B3 13 3F A7 B3 13 3F 0D B4 13 3F B4 CB 13 3F 18 CC 13 3F 38 30 14 30 24 30 14 3D 24 30 14 3E 20 30 14 3F EB 33 14 3F D8 34 14 3E 1E 34 14 3F 58 34 14 3F D8 34 14 3F 92 49 14 3F 14 4A 14 30 C9 49 14 3F F5 49 14 3F B4 C2 14 30 A1 C2 14 3C 9F C2 14 3E 9C C2 14 3F 34 C6 14 3F 70 C6 14 3E 70 C6 14 3F FD C6 14 3C 01 C7 14 3E FB C6 14 3F CD D2 14 3C CE D2 14 3E 66 D2 14 3F EC D2 14 30 9E D2 14 3F CA D2 14 3F D6 E1 14 3F 0A E2 14 3F 9A 4A 15 30 86 4A 15 3C 84 4A 15 3E 83 4A 15 3F 0C 4B 15 3F 38 4E 15 3F 65 4E 15 3F 1A 4F 15 3F B0 59 15 3F 30 5A 15 30 40 5A 15 3B 40 5A 15 3C 3E 5A 15 3E E4 59 15 3F 60 5A 15 30 12 5A 15 3F 3C 5A 15 3F 34 EC 15 30 18 EC 15 3B 1D EC 15 3C 18 EC 15 3D 18 EC 15 3E 16 EC 15 3F E0 EF 15 3F D4 F0 15 3C D0 F0 15 3D D4 F0 15 3E 14 F0 15 3F ED F0 15 30 D0 F0 15 3F 41 FB 15 30 56 FB 15 3B 50 FB 15 3C 54 FB 15 3D 4E FB 15 3E EE FA 15 3F 64 FB 15 30 20 FB 15 3F 9C FB 15 30 4C FB 15 3F 7C FB 15 3F B1 FB 15 3F FE 13 16 3F 2D 14 16 3F 60 14 16 3F 50 66 16 3F CA 79 16 3C C8 79 16 3D CC 79 16 3E C8 79 16 3F E0 79 16 30 C8 7D 16 3F 80 7E 16 3B 80 7E 16 3F 25 91 16 30 6A 91 16 3F B8 CE 16 3F 06 0C 17 30 F0 0B 17 3C F0 0B 17 3D F0 0B 17 3E EE 0B 17 3F 9D 0F 17 3F D0 0F 17 3F 80 10 17 3D 82 10 17 3F 59 1C 17 30 3D 1C 17 3F 6D 1C 17 3C 6C 1C 17 3E 6A 1C 17 3F 1B 96 17 3C 1C 96 17 3D 1C 96 17 3E 1A 96 17 3F 84 96 17 3F 0C 9A 17 3F C8 9A 17 3C C6 9A 17 3F 5C A6 17 3A 56 A6 17 3C 58 A6 17 3E 26 A6 17 3F 6E A6 17 30 56 A6 17 3F BC A6 17 3F C1 F0 17 3F B8 2F 18 3F 14 5D 18 30 04 5D 18 3B 01 5D 18 3C 01 5D 18 3E 00 5D 18 3F F7 60 18 3F BA 61 18 3B BA 61 18 3C BA 61 18 3E B6 61 18 3F 06 69 18 30 3E 69 18 3C 40 69 18 3E E2 68 18 3F 5A 69 18 30 1C 69 18 3F 3E 69 18 3F 9E 69 18 3F C1 73 18 3F 0D 74 18 30 F4 73 18 3F 28 74 18 3F 63 74 18 3F 0D C9 18 3B 10 C9 18 3D 0D C9 18 3E 0C C9 18 3F 74 C9 18 3F EA CC 18 30 01 CD 18 3F B6 CD 18 30 C6 CD 18 3C C4 CD 18 3D C0 CD 18 3F 2A D5 18 3F 84 D5 18 3C 85 D5 18 3E 5C D5 18 3F 84 D5 18 3F E8 D5 18 3F 70 E0 18 3F D6 E0 18 3F CC 35 19 3C CC 35 19 3D CA 35 19 3E C9 35 19 3F E5 35 19 30 32 36 19 3F 91 39 19 3F C3 39 19 3F FC 39 19 3F 7C 3A 19 3F 38 42 19 3C E0 41 19 3F 34 42 19 3F 98 42 19 3F 40 4D 19 3F 70 4D 19 3F 03 8C 19 3F 28 A2 19 30 08 A2 19 3C 0A A2 19 3E 05 A2 19 3F 08 A6 19 3C 04 A6 19 3F BC A6 19 3F 2A AE 19 30 0C AE 19 3F 58 AE 19 30 66 AE 19 3E 42 AE 19 3F 66 AE 19 3F C9 AE 19 3F 0F B9 19 3F 71 B9 19 3F 80 0E 1A 30 6A 0E 1A 3B 6A 0E 1A 3C 68 0E 1A 3D 68 0E 1A 3E 66 0E 1A 3F 64 12 1A 3F 1C 13 1A 3F B8 1A 1A 30 C9 1A 1A 3C CC 1A 1A 3D CA 1A 1A 3E 6D 1A 1A 3F A1 1A 1A 3F C8 1A 1A 3F 2A 1B 1A 3F D8 25 1A 3F 2C 61 1A 3F DD 7A 1A 3A DA 7A 1A 3C DC 7A 1A 3D D8 7A 1A 3E D6 7A 1A 3F EE 7A 1A 30 41 7B 1A 3F D9 7E 1A 3F 96 7F 1A 3E 90 7F 1A 3F D9 86 1A 3F F8 86 1A 30 30 87 1A 3B 35 87 1A 3C 30 87 1A 3D 30 87 1A 3E 0C 87 1A 3F 7D 87 1A 30 30 87 1A 3F 95 87 1A 3F 28 92 1A 3F 64 92 1A 3F 55 E7 1A 3B 54 E7 1A 3C 54 E7 1A 3D 54 E7 1A 3E 50 E7 1A 3F 66 E7 1A 30 20 EB 1A 3F 38 EC 1A 30 1D EC 1A 3C 22 EC 1A 3D 1D EC 1A 3E 1A EC 1A 3F 84 EC 1A 3F 36 F3 1A 30 50 F3 1A 3F 6C F3 1A 30 A1 F3 1A 3C A4 F3 1A 3E 7D F3 1A 3F A3 F3 1A 3F 08 F4 1A 3F 72 FE 1A 3F B1 FE 1A 3F F8 53 1B 30 E1 53 1B 3C E4 53 1B 3E E1 53 1B 3F 80 57 1B 3F E1 57 1B 3F C6 58 1B 30 AE 58 1B 3C AC 58 1B 3D AC 58 1B 3E 1C 58 1B 3F A9 58 1B 3F 36 59 1B 3F FC 5F 1B 30 3C 60 1B 3B 38 60 1B 3C 39 60 1B 3D 3A 60 1B 3E E0 5F 1B 3F 16 60 1B 3F 38 60 1B 3F 9A 60 1B 3F B4 6A 1B 3F 00 6B 1B 30 14 6B 1B 3F 53 6B 1B 3F F0 7B 1B 3F B0 9D 1B 3F 50 C0 1B 3C 50 C0 1B 3D 4D C0 1B 3E 4C C0 1B 3F 65 C0 1B 30 B4 C0 1B 3F 18 C4 1B 3F 49 C4 1B 3F 2C C5 1B 30 14 C5 1B 3B 0D C5 1B 3C 12 C5 1B 3D 0E C5 1B 3E 0C C5 1B 3F 5C CC 1B 3F A8 CC 1B 30 B6 CC 1B 3C 90 CC 1B 3F B5 CC 1B 3F 64 D7 1B 3F 98 D7 1B 3F C7 D7 1B 3F 06 D8 1B 3F 90 0A 1C 3F CC 2C 1C 30 B8 2C 1C 3B B8 2C 1C 3C B8 2C 1C 3E B5 2C 1C 3F B4 30 1C 3F F0 30 1C 3F 98 31 1C 30 80 31 1C 3C 7D 31 1C 3E 7A 31 1C 3F D8 38 1C 30 C0 38 1C 3F 08 39 1C 30 12 39 1C 3C 14 39 1C 3E EE 38 1C 3F 14 39 1C 3F 76 39 1C 3F A0 43 1C 3F 44 44 1C 3F C7 50 1C 3F 40 99 1C 30 28 99 1C 3C 26 99 1C 3D 25 99 1C 3E 24 99 1C 3F 86 99 1C 3F EC 9C 1C 3F 20 9D 1C 3F 00 9E 1C 30 E6 9D 1C 3C E5 9D 1C 3E E2 9D 1C 3F 30 A5 1C 3F D4 A5 1C 30 87 A5 1C 3C 89 A5 1C 3E 60 A5 1C 3F 88 A5 1C 3F EC A5 1C 3F 2A B0 1C 3F 7A B0 1C 30 63 B0 1C 3F 8E B0 1C 3F CC B0 1C 3F 68 05 1D 3B 66 05 1D 3C 68 05 1D 3D 6B 05 1D 3E 65 05 1D 3F CA 05 1D 3F 5E 09 1D 3F 9E 09 1D 3F 22 0A 1D 3C 26 0A 1D 3D 24 0A 1D 3E 22 0A 1D 3F C8 11 1D 30 D6 11 1D 3C D5 11 1D 3E 7C 11 1D 3F AC 11 1D 3F D3 11 1D 3F 34 12 1D 3F B9 1C 1D 3F EC 1C 1D 3F A2 71 1D 3B A4 71 1D 3C A5 71 1D 3D A2 71 1D 3E 9E 71 1D 3F 6A 75 1D 3F 9E 75 1D 3F 62 76 1D 3C 64 76 1D 3E 60 76 1D 3F B1 7D 1D 3F 00 7E 1D 30 0C 7E 1D 3F 70 7E 1D 3F C6 88 1D 3F E0 88 1D 30 28 89 1D 3F 44 89 1D 30 6C 89 1D 3C 67 89 1D 3F 68 AE 1D 3F D4 DD 1D 3B D2 DD 1D 3C D0 DD 1D 3E D0 DD 1D 3F CA E1 1D 3F 90 E2 1D 3C 8C E2 1D 3D 8D E2 1D 3E 89 E2 1D 3F 0C EA 1D 30 48 EA 1D 3C 4A EA 1D 3E EC E9 1D 3F 65 EA 1D 30 1E EA 1D 3F 46 EA 1D 3F A9 EA 1D 3F 38 F5 1D 30 20 F5 1D 3F 81 F5 1D 3F 56 17 1E 3F 44 39 1E 3F D8 49 1E 3C D8 49 1E 3E D5 49 1E 3F F0 49 1E 30 B8 4D 1E 30 9C 4D 1E 3F CB 4D 1E 3F 8A 4E 1E 3B 92 4E 1E 3C 8A 4E 1E 3F 5E 56 1E 3E 04 56 1E 3F 79 56 1E 30 32 56 1E 3F 5A 56 1E 3F BC 56 1E 3F BB 61 1E 3F DE B6 1E 3B DA B6 1E 3C DB B6 1E 3E DA B6 1E 3F F4 B6 1E 30 E0 B6 1E 3D 9E BA 1E 3F CC BA 1E 3F 84 BB 1E 3F 14 C3 1E 3F 72 C3 1E 3B 70 C3 1E 3C 72 C3 1E 3E 48 C3 1E 3F 70 C3 1E 3F D6 C3 1E 3F B8 CE 1E 3F EC CE 1E 3F 1A CF 1E 3F 0C 37 1F 3B 0A 37 1F 3C 0C 37 1F 3E 08 37 1F 3F 04 3B 1F 3F BA 3B 1F 3F 49 43 1F 30 54 43 1F 3C 58 43 1F 3E FE 42 1F 3F 30 43 1F 3F 56 43 1F 3F BC 43 1F 3F 2E 4E 1F 3F 64 4E 1F 3F A4 4E 1F 3F FC A2 1F 3C FF A2 1F 3D FA A2 1F 3E F9 A2 1F 3F D8 A6 1F 30 BE A6 1F 3F F2 A6 1F 3F B6 A7 1F 3C B2 A7 1F 3E B2 A7 1F 3F 4D AF 1F 3F 65 AF 1F 30 78 AF 1F 3C 75 AF 1F 3F D8 AF 1F 3F 90 BA 1F 3F C5 BA 1F 3F 2D DF 1F 3F 56 0F 20 3C 5A 0F 20 3D 54 0F 20 3E 54 0F 20 3F 7A 0F 20 30 1C 13 20 3F 50 13 20 3F 0D 14 20 3E 08 14 20 3F 9E 1B 20 30 D8 1B 20 3B DA 1B 20 3C D8 1B 20 3E 7C 1B 20 3F C9 1B 20 30 B5 1B 20 3F D4 1B 20 3F D2 26 20 3F 30 27 20 3F 10 7C 20 30 F4 7B 20 3C F0 7B 20 3E ED 7B 20 3F 56 7C 20 3F 95 7F 20 30 A8 7F 20 3F DC 7F 20 3F 94 80 20 3F 34 88 20 3F 7D 88 20 30 8C 88 20 3B 8E 88 20 3C 8C 88 20 3E 68 88 20 3F 8C 88 20 3F EC 88 20 3F 1A 94 20 3F 48 94 20 3F 4C 01 21 3B 4B 01 21 3C 4C 01 21 3D 4C 01 21 3E 48 01 21 3F 64 01 21 30 B2 01 21 3F 2A 05 21 30 08 05 21 3F 40 05 21 3F FC 05 21 3B FC 05 21 3C FD 05 21 3E FA 05 21 3F 43 0D 21 3F 90 0D 21 30 A4 0D 21 3C 9E 0D 21 3E 78 0D 21 3F EC 0D 21 30 9D 0D 21 3F 00 0E 21 3F 5C 18 21 3C 5C 18 21 3F A8 18 21 30 C0 18 21 3F 04 19 21 3F 19 6D 21 30 04 6D 21 3B 02 6D 21 3C 02 6D 21 3D 02 6D 21 3E 00 6D 21 3F C8 70 21 3F F4 70 21 3F B0 71 21 3C AE 71 21 3F 3E 79 21 3F 88 79 21 30 96 79 21 3D 94 79 21 3E 70 79 21 3F 94 79 21 3F F8 79 21 3F 98 84 21 3F 46 85 21 30 CC 84 21 3F FC 84 21 3F 28 85 21 3F A0 E6 21 30 90 E6 21 3B 8E E6 21 3C 8C E6 21 3D 8B E6 21 3E 88 E6 21 3F 4C EA 21 3F 7D EA 21 3F 39 EB 21 3C 38 EB 21 3F 86 F2 21 3F E4 F2 21 3C E1 F2 21 3E BC F2 21 3F E1 F2 21 3F 46 F3 21 3F A2 FD 21 3F D6 FD 21 3F 06 FE 21 3F 4D FE 21 3F 9B 15 22 3C 40 52 22 30 2C 52 22 3C 2C 52 22 3D 2C 52 22 3E 2A 52 22 3F 94 52 22 3F B9 55 22 3F 20 56 22 3E 1A 56 22 3F D8 56 22 3E D4 56 22 3F B9 5E 22 30 C8 5E 22 3B C8 5E 22 3C C6 5E 22 3E 6E 5E 22 3F A0 5E 22 3F C6 5E 22 3F 28 5F 22 3F 2E 6A 22 30 49 6A 22 3F 78 6A 22 3F E6 A1 22 3F 86 D5 22 30 72 D5 22 3C 72 D5 22 3D 72 D5 22 3E 70 D5 22 3F D7 D5 22 3F 46 D9 22 30 32 D9 22 3F 62 D9 22 3F 1A DA 22 3C 1C DA 22 3F 90 E1 22 30 D4 E1 22 3B D0 E1 22 3C D1 E1 22 3D D1 E1 22 3E 78 E1 22 3F CE E1 22 3F 34 E2 22 3F 9E E7 22 3F E8 EC 22 3F 1A ED 22 3F 60 ED 22 3F A2 41 23 30 90 41 23 3B 8D 41 23 3C 8D 41 23 3E 8C 41 23 3F 4A 45 23 3F 81 45 23 3F 38 46 23 3F C5 4D 23 3F E4 4D 23 30 20 4E 23 3C F8 4D 23 3F 1C 4E 23 3F 48 59 23 3F 7C 59 23 3F AC 59 23 3F 94 76 23 3F CA 76 23 3F FC 76 23 3F F0 97 23 3F 25 B9 23 30 10 B9 23 3C 0E B9 23 3D 0D B9 23 3E 0C B9 23 3F 70 B9 23 3F C8 BC 23 3F B2 BD 23 3F 1C C5 23 3F 6A C5 23 30 79 C5 23 3C 7A C5 23 3D 7A C5 23 3E 50 C5 23 3F 78 C5 23 3F DB C5 23 3F 98 D0 23 30 80 D0 23 3F B0 D0 23 3F E1 D0 23 3F D1 F4 23 3F D4 27 24 3C D4 27 24 3D D0 27 24 3F 8E 2B 24 3F BE 2B 24 3F 7C 2C 24 3C 7A 2C 24 3F 45 34 24 30 54 34 24 3E F8 33 24 3F 2C 34 24 3F 50 34 24 3F B4 34 24 3F 70 3F 24 3F A1 3F 24 3F D4 3F 24 3F A4 9A 24 3C A4 9A 24 3E A0 9A 24 3F 42 9E 24 30 5C 9E 24 3F 90 9E 24 3F 47 9F 24 3C 48 9F 24 3E 41 9F 24 3F C6 A6 24 3F 10 A7 24 30 20 A7 24 3C 22 A7 24 3D 20 A7 24 3E F8 A6 24 3F 1E A7 24 3F 81 A7 24 3F 4A B2 24 3F 80 B2 24 3F B0 B2 24 3F 9D B3 24 3F 8C 13 25 30 72 13 25 3C 76 13 25 3D 72 13 25 3E 70 13 25 3F 2C 17 25 3F 5E 17 25 3F 16 18 25 3F 9A 1F 25 30 D8 1F 25 3C DA 1F 25 3E B0 1F 25 3F F6 1F 25 30 D8 1F 25 3F 3C 20 25 3F D8 2A 25 3F F1 2A 25 30 08 2B 25 3F 3C 2B 25 3F D2 80 25 30 B0 80 25 3B B1 80 25 3C B1 80 25 3D B0 80 25 3E B0 80 25 3F 18 81 25 3F 6A 84 25 3F 9E 84 25 3F 54 85 25 3F DC 85 25 3F 5C 8D 25 30 48 8D 25 3C 48 8D 25 3E F2 8C 25 3F 1E 8D 25 3F 45 8D 25 3F AA 8D 25 3F 99 98 25 3F C8 98 25 3F FB 98 25 3F CE A7 25 3F 74 04 26 3B 75 04 26 3C 74 04 26 3D 74 04 26 3E 70 04 26 3F 2C 08 26 3F 62 08 26 3F 14 09 26 3C 15 09 26 3F BC 10 26 3F E1 10 26 3C E4 10 26 3D E6 10 26 3E E2 10 26 3F 44 11 26 3F 03 1C 26 3F 63 1C 26 3C 36 1C 26 3F 65 1C 26 3F 60 37 26 3F 00 79 26 3B FE 78 26 3C 00 79 26 3D FC 78 26 3E FA 78 26 3F B0 7C 26 3F E4 7C 26 3F 24 85 26 3F 6D 85 26 30 7E 85 26 3C 80 85 26 3E 56 85 26 3F 7D 85 26 3F E0 85 26 3F C8 90 26 3F 2A 91 26 3F B6 FB 26 30 A0 FB 26 3B A0 FB 26 3C 9C FB 26 3E 9A FB 26 3F 64 FF 26 3F 50 00 27 3E 91 FF 26 3F 4C 00 27 3F 94 07 27 3F E0 07 27 30 EC 07 27 3D EB 07 27 3E C7 07 27 3F 38 08 27 30 EC 07 27 3F A0 12 27 3F EC 12 27 30 02 13 27 3F 57 4E 27 3F 86 4E 27 3F B8 4E 27 3F 59 67 27 3A 58 67 27 3B 56 67 27 3C 58 67 27 3D 56 67 27 3E 54 67 27 3F BD 67 27 3F 12 6B 27 3F 46 6B 27 3F 01 6C 27 3D 04 6C 27 3E 00 6C 27 3F 8C 73 27 3F EB 73 27 3C E9 73 27 3E C4 73 27 3F EA 73 27 3F 81 7F 27 3F D0 E2 27 3B D2 E2 27 3C D2 E2 27 3D D1 E2 27 3E CE E2 27 3F E9 E2 27 30 5F E6 27 3F C0 E6 27 3F 94 E7 27 30 7E E7 27 3E 7A E7 27 3F DC EE 27 3F 25 EF 27 30 38 EF 27 3E 0E EF 27 3F 34 EF 27 3F 94 EF 27 3F 24 FA 27 3F 84 FA 27 3F 24 23 28 3F CC 45 28 3F 11 4F 28 30 FD 4E 28 3B 00 4F 28 3C FE 4E 28 3E F9 4E 28 3F 61 4F 28 3F A0 52 28 30 B8 52 28 3F E8 52 28 3F A0 53 28 3C A0 53 28 3F 48 5B 28 3F 94 5B 28 30 A2 5B 28 3C A0 5B 28 3D A0 5B 28 3E 9E 5B 28 3F 06 5C 28 3F 34 67 28 30 66 67 28 30 78 67 28 3F FF 68 28 3F 40 D5 28 30 29 D5 28 3C 29 D5 28 3E 28 D5 28 3F F0 D8 28 3F D7 D9 28 3C D5 D9 28 3E 1A D9 28 3F D4 D9 28 3F 2D E1 28 3F 7C E1 28 30 88 E1 28 3C 8A E1 28 3D 8C E1 28 3E 65 E1 28 3F 88 E1 28 3F F0 E1 28 3F 8A EC 28 30 A0 EC 28 3F D1 EC 28 3F 2D 41 29 30 18 41 29 3B 15 41 29 3C 1A 41 29 3D 16 41 29 3E 14 41 29 3F D0 44 29 3F 04 45 29 3F BD 45 29 3E BA 45 29 3F 5E 4D 29 3F A8 4D 29 30 B8 4D 29 3C B7 4D 29 3E B6 4D 29 3F 1B 4E 29 3F 1A 59 29 3F 7E 59 29 3F 35 65 29 3F 0C 87 29 3F 6E A8 29 3F D8 C6 29 3C DC C6 29 3D DA C6 29 3E D8 C6 29 3F E0 C6 29 3B D0 CA 29 3C 9C CA 29 3F CE CA 29 3F 8C CB 29 3F 08 D3 29 30 42 D3 29 3C 44 D3 29 3E E8 D2 29 3F 34 D3 29 30 1E D3 29 3F 42 D3 29 3F A6 D3 29 3F AC DE 29 3F 7C 03 2A 3F BE 36 2A 3C BC 36 2A 3D BB 36 2A 3E BA 36 2A 3F 74 3A 2A 3F 61 3B 2A 3F 36 43 2A 30 48 43 2A 3C 49 43 2A 3E 1E 43 2A 3F 45 43 2A 3F 88 4E 2A 3F BC 4E 2A 3F EC 4E 2A 3F 54 B6 2A 30 38 B6 2A 3B 3D B6 2A 3C 38 B6 2A 3D 3A B6 2A 3E 38 B6 2A 3F 30 BA 2A 3C 2D BA 2A 3F E2 BA 2A 3C E2 BA 2A 3F 8A C2 2A 30 C7 C2 2A 3C C4 C2 2A 3E 6C C2 2A 3F DC C2 2A 30 9F C2 2A 3F 10 C3 2A 30 C5 C2 2A 3F F2 C2 2A 3F 26 C3 2A 3F 37 CE 2A 3F 9A CE 2A 3F 9A 3C 2B 3C 98 3C 2B 3E 95 3C 2B 3F FA 3C 2B 3F 3C 40 2B 30 55 40 2B 3F 84 40 2B 3F 46 41 2B 3E 42 41 2B 3F C9 4A 2B 30 D9 4A 2B 3C DE 4A 2B 3D DA 4A 2B 3E 7C 4A 2B 3F F4 4A 2B 30 B6 4A 2B 3F D8 4A 2B 3F FC 5C 2B 30 11 5D 2B 3F 74 5D 2B 3F 8B CA 2B 3C 89 CA 2B 3D 8A CA 2B 3E 88 CA 2B 3F 82 CE 2B 3F 5C CF 2B 30 44 CF 2B 3C C2 CE 2B 3F 3E CF 2B 3F C4 DE 2B 3F F6 DE 2B 3F 2B DF 2B 3F 65 DF 2B 3F 08 22 2C 3F AC 5A 2C 3B AA 5A 2C 3C AC 5A 2C 3D A8 5A 2C 3E A8 5A 2C 3F 26 5E 2C 30 3E 5E 2C 3F 70 5E 2C 3F FC 5E 2C 3C FB 5E 2C 3F D2 6A 2C 30 BA 6A 2C 3F 34 6B 2C 30 1C 6B 2C 3B 1C 6B 2C 3C 1A 6B 2C 3D 19 6B 2C 3E F0 6A 2C 3F 1A 6B 2C 3F 72 E3 2C 3C 72 E3 2C 3E 70 E3 2C 3F 3C F3 2C 3F BA F3 2C 30 A1 F3 2C 3B A0 F3 2C 3C A4 F3 2C 3E 70 F3 2C 3F 9E F3 2C 3F D6 F3 2C 3F 07 F4 2C 3F C1 62 2D 3F 2D 6B 2D 30 16 6B 2D 3E 14 6B 2D 3F 80 6B 2D 3F F4 6E 2D 3F A4 6F 2D 3F 14 7A 2D 3F 8A 7A 2D 30 74 7A 2D 3C 74 7A 2D 3E 49 7A 2D 3F 70 7A 2D 3F D8 7A 2D 3F 5C 83 2D 3F 96 83 2D 3F C4 83 2D 3F 66 96 2D 3F 99 96 2D 3F D0 96 2D 3F 44 A5 2D 3F 79 C5 2D 3F CE F9 2D 30 B8 F9 2D 3A B8 F9 2D 3C B6 F9 2D 3E B4 F9 2D 3F 80 FD 2D 3F B0 FD 2D 3F 69 FE 2D 3F 2C 11 2E 30 10 11 2E 3F 75 11 2E 3C 41 11 2E 3F 72 11 2E 3F 6D 8B 2E 3B 6C 8B 2E 3C 6D 8B 2E 3D 6C 8B 2E 3E 6A 8B 2E 3F 04 8F 2E 3F CA 8F 2E 3C 39 8F 2E 3F E4 8F 2E 30 C7 8F 2E 3F DC 9B 2E 30 C4 9B 2E 3B C4 9B 2E 3C C2 9B 2E 3D C0 9B 2E 3E 60 9B 2E 3F 38 9C 2E 30 90 9B 2E 3F C0 9B 2E 3F 1D 9C 2E 3F 49 9C 2E 3F 2A 14 2F 3B 2C 14 2F 3C 29 14 2F 3D 28 14 2F 3E 28 14 2F 3F 90 14 2F 3F 09 18 2F 3F BE 18 2F 3F D4 23 2F 3F 4C 24 2F 30 34 24 2F 3C 38 24 2F 3D 34 24 2F 3E 08 24 2F 3F 32 24 2F 3F 72 CB 2F 3B 6D CB 2F 3C 6D CB 2F 3E 6C CB 2F 3F 38 CF 2F 3F 66 CF 2F 3F 28 D0 2F 3C 24 D0 2F 3F B0 D7 2F 3F DA D7 2F 3F 3C D8 2F 3F E2 E2 2F 3F 16 E3 2F 3F 46 E3 2F 3F 3A 3B 30 30 29 3B 30 3B 26 3B 30 3C 28 3B 30 3D 25 3B 30 3E 24 3B 30 3F FC 3E 30 3F 26 3F 30 3F 04 40 30 30 E8 3F 30 3E E4 3F 30 3F 00 47 30 30 10 47 30 3F 5B 47 30 30 6C 47 30 3B 6A 47 30 3C 68 47 30 3D 68 47 30 3E 48 47 30 3F 68 47 30 3F CC 47 30 3F D4 51 30 3F F0 51 30 30 36 52 30 3F 28 8F 30 3F 94 A7 30 3B 93 A7 30 3C 94 A7 30 3D 95 A7 30 3E 90 A7 30 3F F4 A7 30 3F 61 AB 30 3F 58 AC 30 3C 58 AC 30 3D 5C AC 30 3E 90 AB 30 3F 54 AC 30 3F 94 B3 30 3F F0 B3 30 3B EC B3 30 3C ED B3 30 3D EC B3 30 3E C5 B3 30 3F EC B3 30 3F AA BE 30 3F DD BE 30 3F 19 BF 30 3F 2D 14 31 30 18 14 31 3C 18 14 31 3D 18 14 31 3E 14 14 31 3F E4 17 31 3F 18 18 31 3F FC 18 31 30 E0 18 31 3C E2 18 31 3D E2 18 31 3E E0 18 31 3F 30 20 31 30 11 20 31 3F 6A 20 31 3D 68 20 31 3E 44 20 31 3F 68 20 31 3F CC 20 31 3F DC 2A 31 3F F4 2A 31 30 3C 2B 31 3F 7C 2B 31 3F 6E 40 31 3F C0 80 31 30 AA 80 31 3C AA 80 31 3E A7 80 31 3F 7A 84 31 3F AD 84 31 3F 70 85 31 3C 6E 85 31 3D 6E 85 31 3E 6C 85 31 3F 92 8C 31 30 DC 8C 31 3C A9 8C 31 3F F1 8C 31 30 00 8D 31 3E E0 8C 31 3F 00 8D 31 3F 68 8D 31 3F B0 97 31 3F E9 97 31 3C E9 97 31 3C ]

    foreach i $data {
	set disp [gen_8b10b_data_code $i $disp $stream]
    }
#
#    foreach char $data {
#	set disp [gen_8b10b_data_code $char $disp $stream]
#    }
    return $disp
}
